{
  "codeName" : "Main",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSFORMS/Main.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "主编辑表单",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/psdeform_editforms/Main",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItemUpdates" : [ {
    "codeName" : "CountMoney",
    "mOSFilePath" : "psdefiupdates/CountMoney",
    "name" : "统计金额",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "CountMoney"
    },
    "getPSDEFIUpdateDetails" : [ {
      "name" : "amount"
    } ],
    "rTMOSFilePath" : "psdefiupdates/CountMoney"
  }, {
    "codeName" : "GetUnitAndPrice",
    "mOSFilePath" : "psdefiupdates/GetUnitAndPrice",
    "name" : "获取产品的单位和单价",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetUnitAndPrice"
    },
    "getPSDEFIUpdateDetails" : [ {
      "name" : "unit"
    }, {
      "name" : "unitprice"
    } ],
    "rTMOSFilePath" : "psdefiupdates/GetUnitAndPrice"
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "ibizordername",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "ibizuniproductname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTNAME",
      "codeName" : "IBIZUNIProductName"
    }
  }, {
    "id" : "unit",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UNIT",
      "codeName" : "Unit"
    }
  }, {
    "id" : "unitprice",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "UNITPRICE",
      "codeName" : "UnitPrice"
    }
  }, {
    "id" : "quantity",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "QUANTITY",
      "codeName" : "Quantity"
    }
  }, {
    "id" : "amount",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "AMOUNT",
      "codeName" : "Amount"
    }
  }, {
    "id" : "ibizorderid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "id" : "ibizuniproductid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTID",
      "codeName" : "IBIZUNIProductId"
    }
  }, {
    "id" : "ibizorderdetailid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZORDERDETAIL.MAIN.FORMPAGE.FORMPAGE1",
      "mOSFilePath" : "pslanguageres/Auto452",
      "rTMOSFilePath" : "pslanguageres/Auto452"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "mOSFilePath" : "psdeformdetail_formpages/formpage1",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDERDETAIL.MAIN.GROUPPANEL.GROUP1",
        "mOSFilePath" : "pslanguageres/Auto356",
        "rTMOSFilePath" : "pslanguageres/Auto356"
      },
      "caption" : "订单明细基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "mOSFilePath" : "psdeformdetail_grouppanels/group1",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME",
          "mOSFilePath" : "pslanguageres/Auto1651",
          "rTMOSFilePath" : "pslanguageres/Auto1651"
        },
        "caption" : "订单名称",
        "codeName" : "ibizordername",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/ibizordername",
        "name" : "ibizordername",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "name" : "ibizordername",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderPickupView.json",
            "viewType" : "DEPICKUPVIEW"
          },
          "valueItemName" : "ibizorderid",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/ibizordername",
        "valueItemName" : "ibizorderid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME",
          "mOSFilePath" : "pslanguageres/Auto924",
          "rTMOSFilePath" : "pslanguageres/Auto924"
        },
        "caption" : "产品名称",
        "codeName" : "ibizuniproductname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/ibizuniproductname",
        "name" : "ibizuniproductname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZUNIPRODUCTNAME",
          "codeName" : "IBIZUNIProductName"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "GetUnitAndPrice"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "name" : "ibizuniproductname",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZUNIProduct.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductPickupView.json",
            "viewType" : "DEPICKUPVIEW"
          },
          "valueItemName" : "ibizuniproductid",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/ibizuniproductname",
        "valueItemName" : "ibizuniproductid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNIT",
          "mOSFilePath" : "pslanguageres/Auto32",
          "rTMOSFilePath" : "pslanguageres/Auto32"
        },
        "caption" : "单位",
        "codeName" : "unit",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/unit",
        "name" : "unit",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UNIT",
          "codeName" : "Unit"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "unit",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/unit",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNITPRICE",
          "mOSFilePath" : "pslanguageres/Auto937",
          "rTMOSFilePath" : "pslanguageres/Auto937"
        },
        "caption" : "单价",
        "codeName" : "unitprice",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/unitprice",
        "name" : "unitprice",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UNITPRICE",
          "codeName" : "UnitPrice"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "unitprice",
          "precision" : 2,
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/unitprice",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.QUANTITY",
          "mOSFilePath" : "pslanguageres/Auto1126",
          "rTMOSFilePath" : "pslanguageres/Auto1126"
        },
        "caption" : "数量",
        "codeName" : "quantity",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/quantity",
        "name" : "quantity",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "QUANTITY",
          "codeName" : "Quantity"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "CountMoney"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "quantity"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/quantity",
        "resetItemName" : "IBIZuniproductname",
        "resetItemNames" : [ "IBIZuniproductname" ],
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.AMOUNT",
          "mOSFilePath" : "pslanguageres/Auto1494",
          "rTMOSFilePath" : "pslanguageres/Auto1494"
        },
        "caption" : "小计",
        "codeName" : "amount",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/amount",
        "name" : "amount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "amount",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/amount",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERID",
          "mOSFilePath" : "pslanguageres/Auto1004",
          "rTMOSFilePath" : "pslanguageres/Auto1004"
        },
        "caption" : "订单标识",
        "codeName" : "ibizorderid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/ibizorderid",
        "name" : "ibizorderid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERID",
          "codeName" : "IBIZOrderId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "ibizorderid"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/ibizorderid",
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 6,
        "childColSM" : 6,
        "childColXS" : 6,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailEditView/psappviewctrls/form",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "d1ab03dfc88189ae9dcc5e21a1458f93",
  "modeltype" : "PSDEFORM_EDITFORM"
}